The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a database and tools to fix them.
History of vulnerabilities analyzed by Vigil@nce:

vulnerability announce CVE-2009-0870

Solaris: denial of service of NFSv4

Synthesis of the vulnerability

A local attacker can create a denial of service when an HSFS file system is shared with NFS.
Impacted products: OpenSolaris, Solaris.
Severity: 1/4.
Consequences: denial of service on server.
Provenance: user console.
Creation date: 09/03/2009.
Identifiers: 252469, 6793049, BID-34031, CVE-2009-0870, VIGILANCE-VUL-8522.

Description of the vulnerability

The HSFS file system is used by cdrom and dvdrom devices.

When a directory is shared by NFS, the rfs4_op_readdir() function of the uts/common/fs/nfs/nfs4_srv_readdir.c file reads entries of a directory and sends these information to the NFS client.

However, when the directory is located on an HSFS file system, the rfs4_op_readdir() function does not correctly indicate that all files in the directory have been listed. The NFS client thus indefinitely loops, trying to reach the end of the directory.

A local attacker can therefore mount a cdrom/dvd in a NFS shared tree in order to create a denial of service.
Full Vigil@nce bulletin... (Free trial)

vulnerability alert CVE-2009-0781

Apache Tomcat: Cross Site Scripting of an example

Synthesis of the vulnerability

An attacker can generate a Cross Site Scripting in an example provided with Apache Tomcat.
Impacted products: Tomcat, Debian, Fedora, Performance Center, HP-UX, NSM Central Manager, NSMXpress, Mandriva Linux, NLD, OES, OpenSolaris, openSUSE, Solaris, RHEL, Sun AS, SLES, ESX, ESXi, VMware Server, vCenter Server, VirtualCenter.
Severity: 1/4.
Consequences: client access/rights.
Provenance: document.
Creation date: 09/03/2009.
Identifiers: 263529, 6848375, 6849727, c01908935, c02181353, c02515878, CERTA-2011-AVI-169, CVE-2009-0781, DSA-2207-1, FEDORA-2009-11352, FEDORA-2009-11356, FEDORA-2009-11374, HPSBMA02535, HPSBUX02466, HPSBUX02579, MDVSA-2009:136, MDVSA-2009:138, PSN-2012-05-584, RHSA-2009:1164-01, RHSA-2009:1562-01, SSRT090192, SSRT100029, SSRT100203, SUSE-SR:2009:012, SUSE-SR:2009:013, VIGILANCE-VUL-8521, VMSA-2009-0016, VMSA-2009-0016.1, VMSA-2009-0016.2, VMSA-2009-0016.3, VMSA-2009-0016.4, VMSA-2009-0016.5.

Description of the vulnerability

Several examples are provided with Apache Tomcat, such as "cal" which implements a calendar. These examples are generally not installed.

The cal2.jsp script generates a form containing a hidden variable named "time":
  <INPUT NAME="time" TYPE=HIDDEN VALUE=<%= util.HTMLFilter.filter(time) %>

However, the value is not enclosed by quotes, and not ended. An attacker can thus for example insert a "STYLE=" in the HTML page containing a JavaScript expression.

An attacker can therefore generate a Cross Site Scripting in an example provided with Apache Tomcat.
Full Vigil@nce bulletin... (Free trial)

vulnerability CVE-2009-0755 CVE-2009-0756

Poppler: denials of service

Synthesis of the vulnerability

An attacker can create a malicious PDF document and invite the victim to open it with a Poppler application in order to stop it.
Impacted products: Debian, Mandriva Linux, openSUSE, SLES, Unix (platform) ~ not comprehensive.
Severity: 1/4.
Consequences: denial of service on client.
Provenance: document.
Number of vulnerabilities in this bulletin: 2.
Creation date: 09/03/2009.
Identifiers: 19702, 19790, CERTA-2009-AVI-448, CVE-2009-0755, CVE-2009-0756, DSA-1941-1, MDVSA-2009:068, MDVSA-2009:068-1, SUSE-SR:2009:012, VIGILANCE-VUL-8520.

Description of the vulnerability

The Poppler library is used by applications to display PDF documents. It is impacted by two vulnerabilities.

The FormWidgetChoice::loadDefaults() function of Form.cc file does not correctly initialize options in forms, which leads to a denial of service. [severity:1/4; 19790, CERTA-2009-AVI-448, CVE-2009-0755]

The JBIG2Stream::readSymbolDictSeg() function of JBIG2Stream.cc file does not correctly initialize bitmaps, which leads to a denial of service. [severity:1/4; 19702, CVE-2009-0756]

An attacker can therefore create a malicious PDF document and invite the victim to open it with a Poppler application in order to stop it.
Full Vigil@nce bulletin... (Free trial)

computer vulnerability note CVE-2009-0365 CVE-2009-0578

NetworkManager: two vulnerabilities

Synthesis of the vulnerability

Two vulnerabilities of NetworkManager can be used by a local attacker to obtain network passwords or to change the network configuration.
Impacted products: Debian, Fedora, openSUSE, RHEL, SLES, Unix (platform) ~ not comprehensive.
Severity: 2/4.
Consequences: user access/rights, data reading, data creation/edition.
Provenance: user account.
Number of vulnerabilities in this bulletin: 2.
Creation date: 09/03/2009.
Identifiers: 487722, 487752, BID-33966, CVE-2009-0365, CVE-2009-0578, DSA-1955-1, RHSA-2009:0361-01, RHSA-2009:0362-01, SUSE-SA:2009:013, SUSE-SR:2009:009, VIGILANCE-VUL-8519.

Description of the vulnerability

The NetworkManager program is used to transparently configure a network. It is impacted by two vulnerabilities.

The nm-applet.conf configuration file blocks the D-BUS access to org.freedesktop.NetworkManagerSettings.Secrets instead of org.freedesktop.NetworkManagerSettings.Connection.Secrets. A local attacker can therefore use a D-BUS query to obtain network passwords and pre-shared keys of users via GetSecrets. [severity:2/4; 487722, CVE-2009-0365]

A local attacker with an access to org.freedesktop.NetworkManagerUserSetting can change the network configuration. [severity:2/4; 487752, CVE-2009-0578]
Full Vigil@nce bulletin... (Free trial)

computer vulnerability bulletin CVE-2009-0027

JBossWS: reading an XML file

Synthesis of the vulnerability

An attacker can use a special url in order to force JBossWS to return a local XML file.
Impacted products: JBoss AS OpenSource, RHEL, JBoss EAP by Red Hat.
Severity: 3/4.
Consequences: data reading.
Provenance: internet client.
Creation date: 09/03/2009.
Identifiers: 479668, BID-34023, CVE-2009-0027, JBWS-2437, RHSA-2009:0346-01, RHSA-2009:0347-01, RHSA-2009:0348-01, RHSA-2009:0349-01, VIGILANCE-VUL-8518.

Description of the vulnerability

The JBossWS product uses the JAX-WS specification in order to develop web services.

Web services use WSDL (Web Services Description Language, in XML format) files which are served by JBossWS.

However, JBossWS does not check if the WSDL access path is located outside the web root.

An attacker can therefore use a special url in order to force JBossWS to return a local XML file.
Full Vigil@nce bulletin... (Free trial)

computer vulnerability announce CVE-2009-0537

OpenBSD: denial of service via fts

Synthesis of the vulnerability

A local attacker can use a long path in order to stop applications using the fts_* functions of the libc.
Impacted products: OpenBSD.
Severity: 1/4.
Consequences: denial of service on service.
Provenance: user shell.
Creation date: 06/03/2009.
Identifiers: BID-34008, CVE-2009-0537, VIGILANCE-VUL-8517.

Description of the vulnerability

Functions in the fts (fts_open, fts_read, etc.) family are used to go through a directory hierarchy.

They use the _ftsent structure to store information on a file. This structure has a field named fts_level, which contains the depth level where the file was found (number of went through directories). The fts_level field is of short type (16 bit, maximum 64k).

However, the OpenBSD implementation of fts does not check if the depth is over 64k. A negative value is then used, which creates an error.

A local attacker can therefore use a long path in order to stop applications using the fts_* functions of the libc.
Full Vigil@nce bulletin... (Free trial)

computer vulnerability alert CVE-2009-0859

Linux kernel: denial of service via ipcs

Synthesis of the vulnerability

A local attacker can use the ipcs command to stop the system.
Impacted products: Debian, Linux, NLD, OES, openSUSE, SLES.
Severity: 1/4.
Consequences: denial of service on server.
Provenance: user shell.
Creation date: 06/03/2009.
Identifiers: BID-34020, CERTA-2002-AVI-235, CVE-2009-0859, DSA-1787-1, DSA-1794-1, DSA-1800-1, SUSE-SA:2009:028, SUSE-SA:2009:030, SUSE-SA:2009:031, SUSE-SA:2009:033, SUSE-SU-2011:0928-1, VIGILANCE-VUL-8516.

Description of the vulnerability

The CONFIG_SHMEM configuration directive indicates to use an internal file system (shmem) to handle the shared memory. It is enabled by default. When CONFIG_SHMEM is disabled, the memory is handled via ramfs.

When shmem is used, the shm_get_stat() function has to use a "shmem_inode_info" structure. Otherwise, this structure must not be used.

However, when CONFIG_SHMEM is disabled, the shm_get_stat() function uses a spin_lock on the "shmem_inode_info" structure. As this structure is not valid in ramfs mode, this error panics the kernel.

The shm_get_stat() function is used by the ipcs command (statistics on IPC).

A local attacker can therefore call the ipcs command to stop the system, when CONFIG_SHMEM is disabled.
Full Vigil@nce bulletin... (Free trial)

computer vulnerability 8515

WebSphere AS 6.1.0: several vulnerabilities

Synthesis of the vulnerability

Several vulnerabilities of WebSphere AS can be used to attack the service.
Impacted products: WebSphere AS Traditional.
Severity: 2/4.
Consequences: client access/rights.
Provenance: internet client.
Number of vulnerabilities in this bulletin: 2.
Creation date: 06/03/2009.
Revision date: 01/04/2009.
Identifiers: BID-34001, BID-34259, DEFECT 566807, DSECRG-09-013, PK76720, PK77505, PK81212, VIGILANCE-VUL-8515.

Description of the vulnerability

Several vulnerabilities were announced in WebSphere Application Server.

An attacker can create a Cross Site Scripting in application examples provided with WebSphere (PlantsByWebSphere, JAX-WS Web Services MTOM, JAX-WS Web Services Ping and Echo, Dynamic Query - Employee Finder, Dynamic Query - EJB Data Mediator Service, Application Profile - Account Management, Scheduler Account Report). [severity:1/4; DEFECT 566807, DSECRG-09-013, PK76720]

An attacker can create a Cross Site Scripting in the Integrated Solutions Console. [severity:2/4; BID-34259, DEFECT 566807, DSECRG-09-013, PK77505]
Full Vigil@nce bulletin... (Free trial)

vulnerability note CVE-2008-4575 CVE-2008-4639 CVE-2008-4640

jhead: several vulnerabilities

Synthesis of the vulnerability

Several jhead vulnerabilities can be used by an attacker to execute code.
Impacted products: Fedora, Mandriva Linux, NLD, OES, openSUSE, SLES, Unix (platform) ~ not comprehensive.
Severity: 2/4.
Consequences: user access/rights.
Provenance: document.
Number of vulnerabilities in this bulletin: 4.
Creation date: 06/03/2009.
Identifiers: CVE-2008-4575, CVE-2008-4639, CVE-2008-4640, CVE-2008-4641, FEDORA-2008-8928, FEDORA-2008-8941, FEDORA-2009-1776, FEDORA-2009-1824, MDVSA-2009:041, SUSE-SR:2009:001, VIGILANCE-VUL-8514.

Description of the vulnerability

The jhead program handles EXIF data stored in JPEG images. It is impacted by four vulnerabilities.

An attacker can generate a buffer overflow in DoCommand in order to execute code. [severity:2/4; CVE-2008-4575]

A local attacker can use a symbolic link to force jhead to overwrite a local file. [severity:1/4; CVE-2008-4639]

An attacker can force DoCommand to delete a local file. [severity:1/4; CVE-2008-4640]

An attacker can use shell escaping characters to force DoCommand to execute a command. [severity:2/4; CVE-2008-4641]
Full Vigil@nce bulletin... (Free trial)

vulnerability bulletin CVE-2009-0838

Solaris: denial of service of Crypto Driver

Synthesis of the vulnerability

A local attacker can use an ioctl in order to stop the system via a vulnerability of Crypto Driver.
Impacted products: OpenSolaris, Solaris.
Severity: 1/4.
Consequences: denial of service on server.
Provenance: user shell.
Creation date: 05/03/2009.
Identifiers: 254088, 6767649, BID-34000, CVE-2009-0838, VIGILANCE-VUL-8513.

Description of the vulnerability

The uts/common/crypto/io/crypto.c file implements the cryptographic driver of Solaris.

A local user can use an ioctl to obtain information on a cryptographic session. The object_get_attribute_value() function fills in these information.

However, this function does not initialize the u_attrs pointer to NULL. If the session is not valid, an error occurs and then this pointer is freed because it is not NULL, which panics the kernel.

A local attacker can therefore use an ioctl in order to stop the system via a vulnerability of Crypto Driver.
Full Vigil@nce bulletin... (Free trial)

Previous page   Next page

Direct access to page 1 21 41 61 81 101 121 141 161 181 201 221 241 261 281 301 321 341 361 381 401 421 441 461 481 501 521 541 561 581 601 621 641 661 681 701 721 741 761 781 801 804 805 806 807 808 809 810 811 812 813 814 815 816 817 818 819 820 821 822 823 824 841 861 881 901 921 941 961 981 1001 1021 1041 1061 1081 1101 1121 1141 1161 1181 1201 1221 1241 1261 1281 1301 1321 1341 1361 1381 1401 1421 1441 1461 1481 1501 1521 1541 1561 1581 1601 1621 1641 1661 1681 1701 1721 1741 1761 1781 1801 1821 1841 1861 1881 1901 1921 1941 1961 1981 2001 2021 2041 2061 2081 2101 2121 2141 2161 2181 2201 2221 2241 2261 2281 2301 2321 2341 2361 2381 2401 2421 2441 2461 2481 2501 2521 2541 2561 2581 2601 2621 2641 2661 2681 2701 2721 2741 2761 2781 2801 2821 2841 2861 2881 2899